<template>
  <q-page>
    <div class="row q-col-gutter-sm q-ma-xs">
      <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 ">
        <q-card class="my-card" flat bordered>
          <q-card-section horizontal>

            <q-card-section class="col-5 flex flex-center">
              <q-img
                class="rounded-borders"
                src="statics/avatar.jpg"
              />
            </q-card-section>
          </q-card-section>
        </q-card>
        <q-card>
          <q-card-section>
            <q-form
              class="q-gutter-md"
            >
            <q-card-section horizontal>
              <q-item-label class="q-pt-md" style="width:125px">Foto</q-item-label>
              <q-input
                filled
                type="file"
                v-model="user.foto" style="width:50%"
              />
            </q-card-section>

            <q-card-section horizontal>
              <q-item-label class="q-pt-md" style="width:125px">Nama Kelas</q-item-label>
              <q-input
                filled
                v-model="user.nama_kelas"
              />
            </q-card-section>

            <q-card-section horizontal>
              <q-item-label class="q-pt-md" style="width:125px">Nama Ketua Kelas</q-item-label>
              <q-input
                filled
                v-model="user.nama_ketua_kelas"
              />
            </q-card-section>

            <q-card-section horizontal>
              <q-item-label class="q-pt-md" style="width:125px">Password</q-item-label>
              <q-input
                filled
                type="password"
                v-model="user.password"
              />
            </q-card-section>

            <q-card-section horizontal>
              <q-item-label class="q-pt-md" style="width:125px">Konfirmasi Password</q-item-label>
              <q-input
                filled
                type="password"
                v-model="user.konfirmasi_password"
              />
            </q-card-section>

              <div>
                <q-btn label="Update" type="submit" color="primary"/>
              </div>
            </q-form>
          </q-card-section>
        </q-card>
      </div>
    </div>
  </q-page>
</template>

<script>
    export default {
        data() {
            return {
                user: {
                    foto: 'statics/avatar.jpg',
                    nama_kelas: '42 TRPL',
                    nama_ketua_kelas: 'Bongson Hutagaol',
                    password: '12345678',
                    konfirmasi_password: '12345678'
                },
            }
        },
    }
</script>

<style scoped>

</style>
